#!/usr/bin/env node

const chalk = require('chalk');
const ora = require('ora');
const program = require('commander');
const shell = require('shelljs');
const inquirer = require('inquirer');
const spinner = ora('Building Project ');
const spawn = require('child_process').spawn;


var args = ['swift','build', '--enable-prefetching'];

var questions = [
  {
    type: 'confirm',
    name: 'runItNow',
    message: 'Do you want to run your application now?',
    default: false
  }
];

program
  .option('-d, --debug', 'builds with debug symbols.')
  .option('-v, --verbose', 'print build logs.')
  .parse(process.argv);

if (program.debug) {
  args.push('-Xswiftc');
  args.push('-g');
} else {
  args.push('-c');
  args.push('release');
}

if (program.verbose) {
  args.push('-v');
}

var command = 'npx';
//spinner.start();
let child = spawn(command, args, { stdio: 'inherit' });
child.on('error', (err) => {
  console.error('Failed to start build process.'); //то есть это выполнится если не удастся запустить child process  
});

child.on('exit', (code) => {
  if (code == 0) {
    spinner.succeed('Build succeeded');
  } else {
    spinner.fail('Build failed');
  }
});

child.on('close', (code) => {
  process.exit(code);
});